/**
 * 
 */
package org.springblade.cube.dto;

import java.io.Serializable;
import java.util.List;

import org.springblade.core.mp.support.Query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@ApiModel("数据集预览参数Model")
public class BrowserRequest implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private List<BrowserParam> paramList;
	
	@ApiModelProperty("分页Model")
	private Query pageQuery;

}
