/**
 * 
 */
package org.springblade.cube.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * @author wookvn
 *	
 *	字段属性
 */
public enum ColumnAttrEnum {

	/**
	 * 标准字段
	 */
	NORMAL(1),
	
	/**
	 * 虚拟字段
	 */
	VIRTUAL(2);
	
	@EnumValue
	private int value;

	/**
	 * @param value
	 */
	private ColumnAttrEnum(int value) {
		this.value = value;
	}

	/**
	 * @return the value
	 */
	public int getValue() {
		return value;
	}
	
	
}
