/**
 * 
 */
package org.springblade.cube.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * @author wookvn
 *	
 *	表类型
 */
public enum TableTypeEnum {

	/**
	 * 物理表
	 */
	PHYSICS(1, "物理表"),
	
	/**
	 * 逻辑表/关联表
	 */
	LOGIC(2, "逻辑表/关联表");
	
	@EnumValue
	private int value;
	private String message;

	/**
	 * @param value
	 */
	private TableTypeEnum(int value, String message) {
		this.value = value;
		this.message = message;
	}

	/**
	 * @return the value
	 */
	public int getValue() {
		return value;
	}

	/**
	 * @return the method
	 */
	public String getMessage() {
		return message;
	}
	
}
