/**
 * 
 */
package org.springblade.microapp.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.microapp.entity.MicroAppDataPermission;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @author wookvn
 *
 */
public interface MicroAppDataPermissionMapper extends BaseMapper<MicroAppDataPermission> {

	@Select({
		"select b.id as permId, b.perm_name as permName",
		"from micro_app_data_permission a inner join data_permission b on a.data_perm_id = b.id",
		"where a.app_id = #{appId}"
	})
	public List<JSONObject> selectDataPermList(@Param("appId")Integer appId);
	
}
