package org.springblade.report.dto.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 设置报表权限请求
 *
 * @author wuyf
 * @since 2021-03-19
 */
@Data
public class SetReportRoleRequest {

	@ApiModelProperty(value = "报表id", example = "1", required = true)
	private Integer reportId;

	@ApiModelProperty(value = "查看角色列表", example = "[1,2]", required = false)
	private List<Long> readRoleIdList;

	@ApiModelProperty(value = "编辑角色列表", example = "[1,2]", required = false)
	private List<Long> editRoleIdList;

}
