package org.springblade.report.dto.response;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.LinkedHashMap;
import java.util.List;

@Data
public class ReportInfoDTO {

	@ApiModelProperty(value = "报表行维度表头列表")
	private List<String> rowHeaderList;

	@ApiModelProperty(value = "报表表头列表")
	private List<List<String>> headerList;

	@ApiModelProperty(value = "报表数据列表")
	private List<LinkedHashMap<String, Object>> data;
}
