/**
 * 
 */
package org.springblade.report.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.report.entity.ReportDatasourcePermission;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;

/**
 * @author wookvn
 *
 */
public interface ReportDatasourcePermissionMapper extends BaseMapper<ReportDatasourcePermission> {

	@Select({
		"select distinct a.* from report_datasource_permission a",
		"inner join data_permission_user b on a.data_perm_id = b.data_perm_id",
		"${ew.customSqlSegment}"
	})
	public List<ReportDatasourcePermission> listPerm(@Param(Constants.WRAPPER) QueryWrapper<ReportDatasourcePermission> queryWrapper);
}
