package org.springblade.resouces;

import cn.hutool.core.bean.BeanUtil;
import org.springblade.bi.client.CubeWorkspaceClient;
import org.springblade.bi.client.model.CubeWorkspaceModel;
import org.springblade.cube.model.CubeWorkspace;
import org.springblade.cube.service.CubeWorkspaceService;
import org.springframework.beans.factory.annotation.Autowired;

public class CubeWorkspaceResource implements CubeWorkspaceClient {

    @Autowired
    private CubeWorkspaceService cubeWorkspaceService;

    @Override
    public String saveOrUpdate(CubeWorkspaceModel model) {
        if (model != null) {
            CubeWorkspace workspace = new CubeWorkspace();
            BeanUtil.copyProperties(model,workspace);
            cubeWorkspaceService.save(workspace);
            return "ok";
        }
        return null;
    }
}
