package org.springblade.usergroup.mapper;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.mapping.StatementType;

import java.util.List;

public interface ExecuteClickMapper {
	/**
	 * 执行SQL
	 * @param sql
	 * @return
	 */
	@Update("${value}")
	@Options(statementType = StatementType.STATEMENT)
	public int executeSql(String sql);

	@Select("<script><![CDATA[ ${sql} ]]></script>")
	public Long selectCount(@Param("sql") String sql);
	@Select("<script><![CDATA[ ${sql} ]]></script>")
	public List<JSONObject> selectList(@Param("sql") String sql);

	@Select("<script><![CDATA[ ${sql} ]]></script>")
	public List<JSONObject> selectPageList(IPage<?> page, @Param("sql") String sql);

	@Select("<script><![CDATA[ ${sql} ]]></script>")
	public IPage<JSONObject> selectPage(IPage<?> page, @Param("sql") String sql);

	@Select("<script><![CDATA[ ${sql} ]]></script>")
	public JSONObject selectOne(@Param("sql") String sql);


}
