/**
 * 
 */
package org.springblade.visual.dto;

import java.io.Serializable;

import org.springblade.visual.enums.OrderByEnum;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.NullSerializer;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@ApiModel("排序Model")
public class ComponentSort implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@JsonSerialize(nullsUsing = NullSerializer.class)
	@ApiModelProperty("排序方式")
	private OrderByEnum orderType;
	
	@ApiModelProperty("字段")
	private ComponentColumn column;
}
