package org.springblade.visual.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.visual.entity.VisualData;
import org.springblade.visual.entity.VisualTemplate;

import java.io.Serializable;
import java.util.List;

@Data
public class TemplateDto implements Serializable {

    @ApiModelProperty(value = "模板数据对象")
    private VisualTemplate template;

    @ApiModelProperty(value = "组件列表【新增修改时候使用】")
    private List<ComponentDto> componentList;
}
