package org.springblade.visual.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;
import org.springblade.core.mp.base.TenantEntity;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@TableName("visual_template_use_situation")
@ApiModel(value = "VisualTemplateUseSituation对象", description = "大屏模板使用统计表")
public class VisualTemplateUseSituation extends TenantEntity implements Serializable {

    @ApiModelProperty("主键")
    @TableId(value = "id",type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("大屏模板id")
    private Integer visualId;

    @ApiModelProperty("大屏模板使用时间")
    private LocalDateTime useTime;

    @ApiModelProperty("使用者 id")
    private Long userId;

    @ApiModelProperty("使用者名称")
    private String userName;

    @ApiModelProperty("记录创建时间")
    private LocalDateTime createTime;
}
