package org.springblade.bi.client.form;

import lombok.Data;
import lombok.ToString;
import org.springblade.bi.client.form.param.MixLinkJoinItem;

import java.io.Serializable;
import java.util.List;

/**
 * 聚合数据集创建对象
 */
@Data
@ToString(includeFieldNames = false)
public class AggCubeCreateForm implements Serializable {

    /**
     * 原聚合数据集ID【更新的时候传递】
     */
    private Integer aggCubeId;

    /**
     * 主数据集ID
     */
    private Integer masterCubeId;

    /**
     * 数据源ID
     */
    private Integer datasourceId;

    /**
     * 表单ID
     */
    private String modelId;

    /**
     * 表单名称
     */
    private String modelName;

    /**
     * 关联关系
     */
    private List<MixLinkJoinItem> linkJoins;
}
