/**
 *
 */
package org.springblade.bi.client.form;

import java.io.Serializable;
import java.util.List;

import lombok.ToString;
import org.springblade.bi.client.form.param.TableLinkJoinParam;

import lombok.Data;

/**
 * @author wookvn
 */
@Data
@ToString(includeFieldNames = false)
public class CubeBrowserSqlForm implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 数据集ID
     */
    private Integer cubeId;

    /**
     * 查询条件
     */
    private List<CubeBrowserSqlParam> paramList;

    /**
     * 子表查询条件
     */
    private List<SubTableQueryParam> subTableQueryParams;

    /**
     * 特殊主子表关联关系的情况
     */
    private TableLinkJoinParam tableLinkJoinParam;

    /**
     * 当前登录用户ID
     */
    private Long userId;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 排序的字段名
     */
    private String ascs;

    /**
     * 排序的字段名
     */
    private String descs;

    /**
     * 查询条件关系
     */
    private ParamCondition paramCondition;

}
