/**
 * 
 */
package org.springblade.bi.client.form.param;

import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.ToString;

/**
 * @author wookvn
 *
 */
@Data
@ToString(includeFieldNames = false)
public class TableLinkJoinItem implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * 关联子表表名
	 */
	private String tableName;

	/**
	 * 不需要传
	 */
	private String tableAlias;

	/**
	 * 关联类型，使用{@link org.springblade.cube.enums.JoinTypeEnum}的enumname
	 */
	private String joinType;
	
	/**
	 * 子表字段列表
	 */
	private List<SubTableColumnItem> tableColumns;
	
	/**
	 * 主表和子表的关联字段
	 */
	private List<JoinColumnItem> joinColumns;
}
