/**
 * 
 */
package org.springblade.bi.client.model;

import java.io.Serializable;

import lombok.Data;

/**
 * @author wookvn
 *
 *         数据源
 */
@Data
public class DataSourceModel implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Integer id;
	/**
	 * ip地址
	 */
	private String dsIp;
	/**
	 * 端口
	 */
	private Integer dsPort;
	/**
	 * 数据库名/SID
	 */
	private String dsDb;
	/**
	 * 连接url
	 */
	private String url;
	/**
	 * 连接名称
	 */
	private String poolName;
	/**
	 * driverClassName
	 */
	private String driverClassName;
	/**
	 * 用户名
	 */
	private String dsUser;
	/**
	 * 密码
	 */
	private String dsPassword;
	/**
	 * 数据源类型 0-mysql 1-oracle 2-sqlserver 3-postgresql[暂不支持] 4-clickhouse
	 */
	private Integer dsType;
	/**
	 * 备注
	 */
	private String remark;
}
