/**
 *
 */
package org.springblade.bi.client.model;

import java.io.Serializable;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class TableColumnModel implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1L;

    //(value = "字段名称")
    private String columnName;

    //(value = "字段注释")
    private String columnComments;

    //(value = "字段类型")
    private String dataType;

    //(value = "字段大小(对于 numeric 和 decimal 类型,列的精度)")
    private Integer columnSize;

    //(value = "小数部分位数")
    private Integer decimalDigits;

    //(value = "字段归类大类类型")
    private String columnType;

    //(value = "字段归类细化类型")
    private String detailColumnType;

    //(value = "是否允许为NULL(1-是/0-否)")
    private Integer nullAbleStatus;

    //(value = "是否主键")
    private Integer primaryKeyStatus;

    //(value = "是否自增")
    private Integer autoIncrementStatus = 0;
}
