/**
 * 
 */
package org.springblade.cube.dto;

import java.io.Serializable;
import java.util.List;

import org.springblade.visual.enums.CommonFunctionEnum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 *	数据集预览请求参数
 */
@Data
@ApiModel("数据集预览请求参数实体")
public class BrowserParam implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty("数据集字段ID")
	private Integer cubeColumnId;
	
	@ApiModelProperty("函数方法")
	private CommonFunctionEnum function;
	
	@ApiModelProperty("数值列表")
	private List<Object> values;

	/**
	 * uid
	 */
	private String uniqId;

}
