/**
 *
 */
package org.springblade.cube.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Map;
import java.util.Set;

import lombok.Data;
import org.springblade.bi.client.model.TableColumnModel;
import org.springblade.cube.model.CubeTableColumn;
import org.springblade.datasource.model.TableColumnDto;

/**
 * @author wookvn
 */
@Data
public class FieldCompare implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1L;


    //删除字段
    private Set<CubeTableColumn> fieldsDeleted;
    //新增字段
    private Set<TableColumnDto> fieldsCreat;
    //修改字段
    // key:CubeTableColumn.id
    // value:TableColumnDto
    private Set<Map<Integer, TableColumnDto>> fieldsUpdate;
}
