//package org.springblade.cube.mapper;
//
//import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
//import org.apache.ibatis.annotations.Insert;
//import org.apache.ibatis.annotations.Options;
//import org.apache.ibatis.annotations.Param;
//
//import java.util.List;
//import java.util.Map;
//
//@InterceptorIgnore(tenantLine = "true")
//public interface DmlTableMapper {
//
//    /**
//     * 单条数据新增
//     * @param tableName
//     * @param columnSql
//     * @param valueSql
//     * @param params
//     * @return
//     */
//    @Insert("<script><![CDATA[ insert into ${tableName}(${columnSql}) values (${valueSql}) ]]></script>")
//    @Options(useGeneratedKeys = true, keyProperty = "pltParam.pkValue")
//    public int save(@Param("tableName") String tableName, @Param("columnSql") String columnSql, @Param("valueSql") String valueSql, @Param("pltParam") Map<String, Object> params);
//
//    /**
//     * 批量数据新增
//     * @param tableName
//     * @param columnSql
//     * @param valueSql
//     * @param params
//     * @return
//     */
//    @Insert("<script>insert into ${tableName}(${columnSql}) values <foreach collection='list' item='pltParam' separator=','>(${valueSql})</foreach></script>")
//    @Options(useGeneratedKeys = true, keyProperty = "list.pkValue")
//    public int saveBatch(@Param("tableName") String tableName, @Param("columnSql") String columnSql, @Param("valueSql") String valueSql, @Param("list") List<Map<String, Object>> params);
//
//    /**
//     * 更新数据
//     * @param tableName
//     * @param uptSql
//     * @param whereSql
//     * @param paramObj
//     * @return
//    @Update("<script><![CDATA[ update ${tableName} set ${uptSql} <where><if test=\"whereSql!=null and whereSql != ''\">${whereSql}</if></where>]]></script>")
//    public int update(@Param("tableName") String tableName, @Param("uptSql") String uptSql, @Param("whereSql") String whereSql, @Param("pltParam") Map<String, Object> paramObj);
//     */
//
////    default int update(String tableName, String uptSql, String whereSql, Map<String, Object> paramObj){
////        return updateWithInCondition(tableName, uptSql, whereSql, paramObj, null, null);
////    }
////
////    /**
////     * 更新数据，包含in条件
////     * @param tableName
////     * @param uptSql
////     * @param whereSql
////     * @param paramObj
////     * @return
////     *
////     * update tbl set name = 3 where age = 10 and id in (1,2,3)
////     */
////    @Update({"<script><![CDATA[ ",
////            "update ${tableName} set ${uptSql} ",
////            "<where>",
////            "<if test=\"whereSql!=null and whereSql != ''\">${whereSql}</if>",
////
////            "<if test=\"inColumnName!=null and inColumnName != ''\">",
////            "AND ${inColumnName} in ",
////            "<foreach collection='paramList' item='item' open='(' separator=',' close=')'>#{item}</foreach>",
////            "</if>",
////
////            "</where>",
////            "]]></script>"})
////    public int updateWithInCondition(@Param("tableName") String tableName, @Param("uptSql") String uptSql, @Param("whereSql") String whereSql, @Param("pltParam") Map<String, Object> paramObj,
////                                     @Param("inColumnName") String inColumnName, @Param("paramList") List<Object> inParamList);
////
////    /**
////     * 删除操作
////     * @param tableName
////     * @param whereSql
////     * @param paramObj
////     * @return
////    @Delete("<script><![CDATA[ delete from ${tableName} <where><if test=\"whereSql!=null and whereSql != ''\">${whereSql}</if></where> ]]></script>")
////    public int delete(@Param("tableName") String tableName, @Param("whereSql") String whereSql, @Param("pltParam") Map<String, Object> paramObj);
////     */
////    default int delete(String tableName, String whereSql, Map<String, Object> paramObj){
////        return deleteWithInCondition(tableName, whereSql, paramObj, null, null);
////    }
////
////    /**
////     *
////     * @param tableName
////     * @param whereSql
////     * @param paramObj
////     * @param inColumnName
////     * @param inParamList
////     * @return
////     */
////    @Delete({"<script><![CDATA[ ",
////            "delete from ${tableName}",
////            "<where>",
////            "<if test=\"whereSql!=null and whereSql != ''\">${whereSql}</if>",
////            "<if test=\"inColumnName!=null and inColumnName != ''\">",
////            "AND ${inColumnName} in ",
////            "<foreach collection='paramList' item='item' open='(' separator=',' close=')'>#{item}</foreach>",
////            "</if>",
////            "</where>",
////            "]]></script>"})
////    public int deleteWithInCondition(@Param("tableName") String tableName, @Param("whereSql") String whereSql, @Param("pltParam") Map<String, Object> paramObj,
////                                     @Param("inColumnName") String inColumnName, @Param("paramList") List<Object> inParamList);
//}
