package org.springblade.datasource.constants;

/**
 * 数据库相关的常量
 */
public interface DbConstant {

    /**
     * 默认数字DECIMAL精度长度
     */
    int DEFAULT_COLUMN_NUMBER_SIZE = 30;

    /**
     * 默认数组DECIMAL的小数长度
     */
    int DEFAULT_COLUMN_NUMBER_DIGITS = 4;

    /**
     * 默认字符串的长度
     */
    int DEFAULT_COLUMN_STRING_SIZE = 255;
}
