package org.springblade.datasource.properties;

import lombok.Data;
import org.springblade.datasource.enums.DsTypeEnum;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.HashMap;
import java.util.Map;

/**
 * 复制数据源的配置文件
 */
@Data
@Configuration
@ConfigurationProperties("platomix.datasource")
public class CustomDsProperties {

    private final Map<DsTypeEnum, CustomDsDetail> copyInfo = new HashMap<>();

}