package org.springblade.report.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class DataSourceDTO {

	@ApiModelProperty(value = "ip地址")
	private String dsIp;

	@ApiModelProperty(value = "端口")
	private Integer dsPort;

	@ApiModelProperty(value = "数据库名/SID")
	private String dsDb;

	@ApiModelProperty(value = "数据库连接url")
	private String url;

	@ApiModelProperty(value = "driverClassName")
	private String driverClassName;

	@ApiModelProperty(value = "数据库密码")
	private String password;

	@ApiModelProperty(value = "数据源类型 0-mysql 1-oracle 2-sqlserver 3-postgresql")
	private Integer dbType;

	@ApiModelProperty(value = "数据库用户名")
	private String username;


}
