/**
 * 
 */
package org.springblade.resouces;

import org.springblade.bi.client.DataSourceClient;
import org.springblade.bi.client.model.DataSourceModel;
import org.springblade.report.entity.ReportDatasource;
import org.springblade.report.service.IReportDatasourceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;

import cn.hutool.core.bean.BeanUtil;

/**
 * @author wookvn
 *
 */
@RestController
public class DataSourceResource implements DataSourceClient {
	
	@Autowired
	private IReportDatasourceService dataSourceService;
	
	@Override
	public DataSourceModel getById(Integer id) {
		ReportDatasource reportDatasource = dataSourceService.getByDsId(id);
		return BeanUtil.copyProperties(reportDatasource, DataSourceModel.class);
	}

}
