package org.springblade.resouces;

import cn.hutool.core.bean.BeanUtil;
import org.springblade.bi.client.VisualClassifyClient;
import org.springblade.bi.client.model.VisualClassifyModel;
import org.springblade.visual.entity.VisualClassify;
import org.springblade.visual.service.VisualClassifyService;
import org.springframework.beans.factory.annotation.Autowired;

public class VisualClassifyResource implements VisualClassifyClient {

    @Autowired
    private VisualClassifyService visualClassifyService;

    @Override
    public String submit(VisualClassifyModel model) {
        VisualClassify classify = new VisualClassify();
        if (model != null) {
            BeanUtil.copyProperties(model,classify);
            visualClassifyService.save(classify);
            return "ok";
        }
        return null;
    }
}
