package org.springblade.subscribe.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;

@Getter
public enum OperateType {

    add(0, "添加"),

    edit(1, "编辑"),

    remove(2,"取消");

    @EnumValue
    private final int value;
    private final String message;
    /**
     * @param value
     * @param message
     */
    private OperateType(int value, String message) {
        this.value = value;
        this.message = message;
    }
}
