/**
 * 
 */
package org.springblade.subscribe.mapper;

import java.util.Date;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.subscribe.entity.VisualSubscribePushLog;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @author wookvn
 *
 */
public interface VisualSubscribePushLogMapper extends BaseMapper<VisualSubscribePushLog> {

	@Select({
			"select ", 
			"	count(if(err_code = 0, 1, null)) as sucCnt,", 
			"	count(if(err_code = 1, 1, null)) as errCnt", 
			"from visual_subscribe_push_log where create_time >= #{startTime} and create_time <= #{endTime}"
			})
	public JSONObject statTodayLogInfor(@Param("startTime") Date startTime, @Param("endTime") Date endTime);
	
	@Select("select count(distinct user_id) as userCnt, count(distinct sub_title) as dataCnt from visual_subscribe_push_log")
	public JSONObject statSubInfor();
}
