package org.springblade.visual.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@AllArgsConstructor
@NoArgsConstructor
public class VisualComponentCubeDataDto {

    @ApiModelProperty("图层名称") //前端使用
    private String title;

    @ApiModelProperty("可视化主键ID")
    private Integer visualId;

    @ApiModelProperty("数据集ID")
    private Integer cubeDataId;

    @ApiModelProperty("数据集名称")
    private String cubeName;
}
