package org.springblade.visual.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ApiModel(value = "VisualComponentHistoryRecordDto对象",description = "组件历史查询实体")
public class VisualComponentHistoryRecordDto implements Serializable {

    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("大屏id")
    private Integer visualId;

    @ApiModelProperty("组件key")
    private String componentKey;

    @ApiModelProperty("查询条件")
    private String settingInfo;

    private String settingInfoMd5;

    @ApiModelProperty("操作人员id")
    private Long operationUserId;

    @ApiModelProperty("操作人员名称")
    private String operationUserName;

    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    private LocalDateTime endTime;
}
