package org.springblade.visual.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Author: hepingguo
 * @Description:
 * @Date: 2023/3/20 14:49
 **/
@Data
@ApiModel(value = "VisualLoginFreeLinkPermissionDoo对象", description = "免登录链接权限组")
public class VisualLoginFreeLinkPermissionDoo implements Serializable {

    @ApiModelProperty("权限组ID")
    private Integer dataPermId;

    @ApiModelProperty("免登录链接ID列表")
    private List<Integer> linkIdList;
}
