package org.springblade.visual.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Author: hepingguo
 * @Description:
 * @Date: 2023/3/20 15:20
 **/
@Data
@ApiModel(value = "VisualLoginLinkPermissionDto对象", description = "免登录链接权限组")
public class VisualLoginLinkPermissionDto implements Serializable {

    @ApiModelProperty("权限组ID列表")
    private List<Integer> dataPermIdList;

    @ApiModelProperty("免登录链接ID")
    private Integer linkId;

    @ApiModelProperty("公开状态")
    private Integer publicStatus;
}
