package org.springblade.visual.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Author: hepingguo
 * @Description:
 * @Date: 2023/3/16 14:28
 **/
@Data
@ApiModel(value = "VisualPowerPermissionDto对象", description = "幻灯片权限组")
public class VisualPowerPermissionDto implements Serializable {

    @ApiModelProperty("权限组ID列表")
    private List<Integer> dataPermIdList;

    @ApiModelProperty("幻灯片ID")
    private Integer powerId;

    @ApiModelProperty("公开状态")
    private Integer publicStatus;
}
