/**
 * 
 */
package org.springblade.visual.dto;

import java.util.List;

import org.springblade.visual.entity.VisualData;
import org.springblade.visual.entity.VisualReportInfo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wookvn
 *
 */
@Getter
@Setter
@ApiModel(value = "VisualReportInfoData对象", description = "历史报告结构体")
public class VisualReportInfoData extends VisualReportInfo {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "大屏列表数据【新增/修改时，只需要visualID即可】")
	private List<VisualData> visualList;

}
