/**
 * 
 */
package org.springblade.visual.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author wookvn
 *	
 *	智能预警查询参数
 */
@Setter
@Getter
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "WarningDto对象", description = "智能预警预览结构体")
public class WarningDto extends PreviewBaseDto {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("数据集ID")
	private Integer cubeDataId;
	
}
