/**
 * 
 */
package org.springblade.visual.dto;

import java.io.Serializable;

import org.springblade.visual.enums.FilterTimeCalcEnum;
import org.springblade.visual.enums.FilterTimeTypeEnum;

import lombok.Data;

/**
 * @author wookvn
 *
 *	时间过滤器
 */
@Data
public class WarningFilterTime implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private FilterTimeTypeEnum timeType;
	
	private FilterTimeCalcEnum calcType;
	
	private ComponentColumn timeColumn;
	
	private ComponentColumn timeTypeColumn;
	
	private WarningFilterRelativeTime relativeTime;
	
}
