package org.springblade.visual.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.SuperBuilder;

import java.time.LocalDateTime;

/**
 * @Author: hepingguo
 * @Description:
 * @Date: 2023/3/20 10:28
 **/
@Data
@TableName("visual_login_free_link_permission")
@ApiModel(value = "VisualLoginFreeLinkPermission对象", description = "三方嵌入web权限对象")
@SuperBuilder(toBuilder = true)
public class VisualLoginFreeLinkPermission {

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "三方接入web的id")
    private Integer linkId;

    @ApiModelProperty(value = "权限组id")
    private Integer dataPermId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建人id")
    private Long createUserId;
}
