/**
 * 
 */
package org.springblade.visual.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * @author wookvn
 *
 *	排序方式
 */
public enum OrderByEnum {

	NONE(0, "不排序"),
	
	ASC(1, "正序"),
	
	DESC(2, "倒序");
	
	@EnumValue
	private int value;
	private String message;

	/**
	 * @param value
	 */
	private OrderByEnum(int value, String message) {
		this.value = value;
		this.message = message;
	}

	/**
	 * @return the value
	 */
	public int getValue() {
		return value;
	}

	/**
	 * @return the method
	 */
	public String getMessage() {
		return message;
	}
}
