/**
 * 
 */
package org.springblade.visual.mapper;

import java.util.List;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import org.apache.ibatis.annotations.Param;
import org.springblade.visual.dto.BloodRelationDto;

/**
 * @author wookvn
 *
 */
@InterceptorIgnore(tenantLine = "true")
public interface BloodRelationMapper {

	public List<BloodRelationDto> cateTreeList(
			@Param("userId")Long userId, 
			@Param("cubeDataIds")String cubeDataIds);
	
	public List<BloodRelationDto> reportTreeList(
			@Param("userId")Long userId, 
			@Param("cubeDataIds")String cubeDataIds);
	
	public List<BloodRelationDto> warningTreeList(
			@Param("cubeDataIds")String cubeDataIds);
	
	public List<BloodRelationDto> defineGroupTreeList(
			@Param("cubeDataIds")String cubeDataIds);
	
	public List<BloodRelationDto> formModelTreeList(
			@Param("cubeDataIds")String cubeDataIds);
}