/**
 * 
 */
package org.springblade.visual.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.visual.entity.VisualPowerPointInfo;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 *	幻灯片 数据处理
 *
 * @author wookvn
 * @date   2023-02-04
 */
public interface VisualPowerPointInfoMapper extends BaseMapper<VisualPowerPointInfo>{
	
	@Select({
		"<script>",
		"select power_point_id as id, count(1) as visual_count from visual_data",
		"where visual_type = 3 and power_point_id in",
		"<foreach collection='ppidList' item='item' open='(' separator=',' close=')'>",
		"#{item}",
		"</foreach>",
		"group by power_point_id",
		"</script>"
	})
	public List<VisualPowerPointInfo> listByPpidGroup(@Param("ppidList")List<Integer> ppidList);
}