package org.springblade.bi.client.form;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.util.List;

/**
 * @author 喜欢番茄火锅
 * @date 2024/9/4 15:26
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString(includeFieldNames = false)
public class AppCopyParams {

    /**
     *
     */
    private static final long serialVersionUID = 1L;
    /**
     * 数据集 ids
     */
    private List<Integer> cubeIds;
    /**
     * 数据源 ids
     */
    private List<Integer> dsIds;

    /**
     *  应用 id
     */
    private String appId;
    /**
     * org.springblade.system.client.model.PlatomixAppCopyLogModel
     */
    private String  platomixAppCopyLogModelStr;

}
