/**
 * 
 */
package org.springblade.bi.client.form;

import java.io.Serializable;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

/**
 * @author wookvn
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString(includeFieldNames = false)
public class CubeBrowserSqlParam implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * 数据集字段ID
	 */
	private Integer cubeColumnId;
	
	/**
	 * 函数方法 {@link org.springblade.visual.enums.CommonFunctionEnum}
	 */
	private String function;
	
	/**
	 * 数值列表
	 */
	private List<Object> values;

	/**
	 * uid
	 */
	private String uniqId;
}
