package org.springblade.bi.client.form;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 插入
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString(includeFieldNames = false)
public class DmlSaveForm implements Serializable {

    /**
     * 数据源PoolName
     */
    private String poolName;

    /**
     * 表名
     */
    private String tableName;

    /**
     * 主键自增ID字段名
     */
    private String idColumn;

    /**
     * 单条插入
     */
    private Map<String, Object> paramObj;

}