package org.springblade.bi.client.form;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.util.List;

@Data
@ToString(includeFieldNames = false)
public  class ParamCondition {
    private  String uniqId;
    private  List<ParamCondition> conditions;
    private  String relation;

    public ParamCondition(String uniqId, List<ParamCondition> conditions, String relation) {
        this.uniqId = uniqId;
        this.conditions = conditions;
        this.relation = relation;
    }

    public ParamCondition() {
    }
}