/**
 * 
 */
package org.springblade.bi.client.form.param;

import java.io.Serializable;

import lombok.Data;
import lombok.ToString;

/**
 * @author wookvn
 *
 */
@Data
@ToString(includeFieldNames = false)
public class JoinColumnItem implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 主表字段ID【说明：masterColumnId和masterColumnName有且仅有一个有效】
	 */
	private Integer masterColumnId;

	/**
	 * 主表字段名【说明：masterColumnId和masterColumnName有且仅有一个有效】
	 */
	private String masterColumnName;
	
	/**
	 * 关联字段名【说明：joinColumnName和joinColumnId有且仅有一个有效】
	 */
	private String joinColumnName;

	/**
	 * 关联数据集的字段ID 【说明：joinColumnName和joinColumnId有且仅有一个有效】
	 */
	private Integer joinColumnId;
}
