/**
 * 
 */
package org.springblade.bi.client.form.param;

import java.io.Serializable;

import lombok.Data;
import lombok.ToString;

/**
 * @author wookvn
 * 子表字段对象
 */
@Data
@ToString(includeFieldNames = false)
public class SubTableColumnItem implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 字段名
	 */
	private String columnName;
	
	/**
	 * 字段别名
	 */
	private String columnAlias;
	
	/**
	 * 虚拟字段ID
	 */
	private String virColumnId;
}
